Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 12998)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 12999)
@@ -122,10 +122,8 @@
     def getAccommodation_details(student):
         """Determine the accommodation dates of a student.
-
         """
 
     def selectBed(available_beds):
         """Select a bed from a list of available beds.
-
         In the standard configuration we select the first bed found,
         but can also randomize the selection if we like.
@@ -138,5 +136,4 @@
     def renderPDF(view, subject='', filename='slip.pdf',):
         """Render pdf slips for various pages.
-
         """
 
@@ -194,6 +191,5 @@
     """
     password = Attribute('Encrypted password')
-    temp_password = Attribute(
-        'Dictionary with user name, timestamp and encrypted password')
+    temp_password = Attribute('Dictionary with user name, timestamp and encrypted password')
     history = Attribute('Object history, a list of messages')
     state = Attribute('Registration state')
@@ -287,5 +283,5 @@
 
     def writeLogMessage(view, message):
-        """Write formatted log message into student.log.
+        """Write formatted log message into students.log.
         """
 
@@ -344,5 +340,4 @@
 class IPGStudentClearance(IUGStudentClearance):
     """Representation of postgraduate student clearance data.
-
     """
     employer = schema.TextLine(
@@ -354,5 +349,4 @@
 class IStudentPersonal(IKofaObject):
     """Representation of student personal data.
-
     """
     personal_updated = schema.Datetime(
@@ -369,5 +363,4 @@
 class IStudentTranscript(IKofaObject):
     """Representation of student transcript data.
-
     """
 
@@ -381,5 +374,4 @@
     IStudentPersonal, IStudentTranscript):
     """Representation of a student.
-
     """
 
@@ -405,5 +397,4 @@
 class IStudentUpdateByMatricNo(IStudent):
     """Representation of a student. Skip regular matric_number validation.
-
     """
     matric_number = schema.TextLine(
@@ -413,6 +404,5 @@
 
 class IStudentRequestPW(IStudent):
-    """Representation of an student for first-time password request.
-
+    """Representation of a student for first-time password request.
     This interface is used when students use the requestpw page to
     login for the the first time.
@@ -435,6 +425,5 @@
 
 class IStudentStudyCourse(IKofaObject):
-    """A container for student study levels.
-
+    """Representation of student study course data.
     """
     certificate = schema.Choice(
@@ -488,8 +477,6 @@
 
 class IStudentStudyCourseTransfer(IStudentStudyCourse):
-    """An student transfers.
-
-    """
-
+    """An interface used for student transfers.
+    """
     certificate = schema.Choice(
         title = _(u'Certificate'),
@@ -521,7 +508,5 @@
 class IStudentStudyCourseTranscript(IKofaObject):
     """An interface for student transcripts.
-
-    """
-
+    """
     entry_mode = schema.Choice(
         title = _(u'Entry Mode'),
@@ -541,7 +526,5 @@
 class IStudentVerdictUpdate(IKofaObject):
     """A interface for verdict imports.
-
-    """
-
+    """
     current_verdict = schema.Choice(
         title = _(u'Current Verdict'),
@@ -573,6 +556,5 @@
 
 class IStudentStudyLevel(IKofaObject):
-    """A container for course tickets.
-
+    """A representation of student study level data. 
     """
     number_of_tickets = Attribute('Number of tickets contained in this level')
@@ -635,6 +617,5 @@
 
 class ICourseTicket(IKofaObject):
-    """An interface for course tickets.
-
+    """A representation of course ticket data.
     """
     code = Attribute('code of the original course')
@@ -705,5 +686,4 @@
 class ICourseTicketAdd(IKofaObject):
     """An interface for adding course tickets.
-
     """
     course = schema.Choice(
@@ -715,5 +695,4 @@
 class ICourseTicketImport(ICourseTicket):
     """An interface for importing course results and nothing more.
-
     """
     score = schema.Int(
@@ -732,5 +711,4 @@
 class IStudentAccommodation(IKofaObject):
     """A container for student accommodation objects.
-
     """
 
@@ -741,6 +719,5 @@
 
 class IBedTicket(IKofaObject):
-    """A ticket for accommodation booking.
-
+    """A representation of accommodation booking data.
     """
     bed = Attribute('The bed object.')
@@ -785,15 +762,12 @@
     def getSessionString():
         """Returns the title of academic_sessions_vocab term.
-
         """
 
 class IStudentPaymentsContainer(IPaymentsContainer):
     """A container for student payment objects.
-
     """
 
 class IStudentOnlinePayment(IOnlinePayment):
     """A student payment via payment gateways.
-
     """
 
@@ -811,15 +785,12 @@
     def doAfterStudentPayment():
         """Process student after payment was made.
-
         """
 
     def doAfterStudentPaymentApproval():
         """Process student after payment was approved.
-
         """
 
     def approveStudentPayment():
         """Approve payment and process student.
-
         """
 
@@ -829,5 +800,4 @@
 class IStudentPreviousPayment(IKofaObject):
     """An interface for adding previous session payments.
-
     """
 
@@ -853,5 +823,4 @@
 class IStudentBalancePayment(IKofaObject):
     """An interface for adding balances.
-
     """
 
